# Copyright 1999-2011 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: $

EAPI="2"

inherit depend.php eutils webapp

DESCRIPTION="Web-based GUI to your Subversion authorization file."
HOMEPAGE="http://www.insanefactory.com/if-svnadmin/"
SRC_URI="mirror://sourceforge/ifsvnadmin/${P}.zip"

LICENSE="GPL-2"
IUSE=""
KEYWORDS="amd64 arm ppc ppc64 ~sparc x86"

DEPEND=""
RDEPEND="dev-vcs/subversion"
RESTRICT=""

need_httpd_cgi
need_php_httpd

S="${WORKDIR}/${PN}"

pkg_setup() {
	webapp_pkg_setup
	has_php
	require_php_with_use xml
}

src_prepare() {
	edos2unix $(find . -type 'f') || die "edos2unix failed"
}

src_install() {
	webapp_src_preinst

	dodoc *.txt || die "dodoc failed"
	rm -rf *.txt

	insinto "${MY_HTDOCSDIR}"
	doins -r . || die "doins failed"

	webapp_serverowned "${MY_HTDOCSDIR}"/data

	webapp_src_install
}
