# Copyright 1999-2013 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/www-apps/websvn/websvn-2.3.0.ebuild,v 1.1 2009/12/13 23:16:53 arfrever Exp $

EAPI="2"

inherit depend.php eutils webapp

DESCRIPTION="PHP web based tool to administer a Apache Subversion repository server."
HOMEPAGE="http://svnmanager.org/"
SRC_URI="mirror://sourceforge/${PN}/${P}.tar.gz"

LICENSE="GPL-2"
IUSE=""
KEYWORDS="~amd64 ~arm ~ppc ~ppc64 ~sparc ~x86"

DEPEND=""
RDEPEND="dev-vcs/subversion"

need_httpd_cgi
need_php_httpd

pkg_setup() {
	webapp_pkg_setup
	has_php
	require_php_with_use xml sqlite
}

src_prepare() {
	edos2unix $(find css -type 'f') || die "edos2unix failed in css"
	edos2unix $(find js -type 'f') || die "edos2unix failed in js"
	edos2unix $(find prado-2.0.3 -type 'f') || die "edos2unix failed in prado-2.0.3"
	edos2unix $(find svnmanager -type 'f') || die "edos2unix failed in svnmanager"
	edos2unix C* H* I* R* prado.* config.* || die "edos2unix failed"
	touch svnmanager/svnmanager.db
}

src_install() {
	webapp_src_preinst

	mv config.php.linux config.php
	rm config.php.win

	dodoc C* H* I* R* prado.* docs/* || die "dodoc failed"
	rm -rf C* H* I* R* prado.* docs/

	insinto "${MY_HTDOCSDIR}"
	doins -r . || die "doins failed"

	webapp_configfile "${MY_HTDOCSDIR}"/config.php
	webapp_configfile "${MY_HTDOCSDIR}"/svnmanager/svnmanager.db

	webapp_serverowned "${MY_HTDOCSDIR}"/svnmanager/svnmanager.db

	webapp_src_install
}
