# Copyright 1999-2017 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/www-apps/trac-webadmin/trac-webadmin-0.1.2.ebuild,v 1.4 2007/02/13 20:39:33 corsair Exp $

EAPI=6
PYTHON_COMPAT=( python{2_7,3_4,3_5,3_6} )

inherit distutils-r1 subversion

ESVN_REPO_URI="http://trac-hacks.org/svn/downloadsplugin/0.12/"
DESCRIPTION="This plugin provides downloads section which may contain releases or other files."
HOMEPAGE="http://trac-hacks.org/wiki/DownloadsPlugin"

LICENSE="GPL-3"
KEYWORDS="~amd64 ~arm ~ppc64 ~x86"
IUSE=""

SLOT="0"

DEPEND="dev-python/setuptools"
RDEPEND=">=www-apps/trac-0.12
	>=www-apps/trac-tagsplugin-0.6"

pkg_postinst() {
	distutils_pkg_postinst
	elog "To enable the GitPlugin plugin in your Trac environments, you have to add:"
	elog "	[components]"
	elog "	tracdownloads.api.DownloadsApi = enabled"
	elog "	tracdownloads.core.DownloadsCore = enabled"
	elog "	tracdownloads.init.DownloadsInit = enabled"
	elog "	tracdownloads.timeline.DownloadsTimeline = enabled"
	elog "	tracdownloads.wiki.DownloadsWiki = enabled"
	elog "	tracdownloads.webadmin.DownloadsWebAdmin = enabled # Branch 0.12 only."
	elog "	tracdownloads.consoleadmin.DownloadsConsoleAdmin = enabled # Branch 0.12 only."
	elog "	tracdownloads.core.DownloadsDownloads = enabled # Branch 0.12 only."
	elog "	tracdownloads.tags.DownloadsTags = enabled # With TagsPlugin installed."
	elog "	[downloads]"
	elog "	title = Downloads"
	elog "	path = /var/lib/trac/downloads"
	elog "	ext = zip,gz,bz2,rar # For 0.12 branch."
	elog "	visible_fields = id,file,description,size,time,count,author,tags,component,version, "
	elog "	  architecture,platform,type # For 0.12 branch."
	elog "	unique_filename = False"
	elog "	consoleadmin_user = anonymous # Branch 0.12 only."
	elog ""
	elog "to your trac.ini files."
}
