# Copyright 1999-2017 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/www-apps/trac-webadmin/trac-webadmin-0.1.2.ebuild,v 1.4 2007/02/13 20:39:33 corsair Exp $

EAPI=5
PYTHON_COMPAT=( python{2_7,3_4,3_5,3_6} )

inherit distutils-r1 git-2

#EGIT_PROJECT='bitcoin'
EGIT_REPO_URI="git://github.com/hvr/trac-git-plugin.git"

DESCRIPTION="This is a plugin which enables GIT to be used instead of Subversion."
HOMEPAGE="http://trac-hacks.org/wiki/GitPlugin"

LICENSE="trac"
KEYWORDS="~amd64 ~arm ~ppc64 ~x86"
IUSE=""

SLOT="0"

DEPEND="dev-python/setuptools
	app-arch/unzip"
RDEPEND=">=www-apps/trac-0.12
	dev-vcs/git"

src_install() {
	distutils_src_install

	install_init() {
		touch "${D}/$(python_get_sitedir)/tracext/__init__.py"
	}
	python_execute_function -q install_init

	rm -f "${D}"/usr/{README,COPYING}
}

pkg_postinst() {
	distutils_pkg_postinst
	elog "To enable the GitPlugin plugin in your Trac environments, you have to add:"
	elog "	[components]"
	elog "	# for plugin version 0.11.0.1+"
	elog "	tracext.git.* = enabled"
	elog ""
	elog "	[trac]"
	elog "	repository_dir = /var/git/Test.git"
	elog "	repository_type = git"
	elog ""
	elog "	## the following is only for the 0.11 branch"
	elog "	[git]"
	elog "	## let Trac cache meta-data via CachedRepository wrapper; default: false"
	elog "	cached_repository = true"
	elog ""
	elog "	## disable automatic garbage collection for in-memory commit-tree cache; default: false"
	elog "	persistent_cache = true"
	elog ""
	elog "	## length revision sha-sums should be tried to be abbreviated to (must be >= 4 and <= 40); default: 7"
	elog "	shortrev_len = 6"
	elog ""
	elog "	## executable file name (optionally with path) of git binary; default: 'git'"
	elog "	git_bin = /usr/src/git-dev/git"
	elog ""
	elog "to your trac.ini files."
}
