# Copyright 1999-2017 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/www-apps/trac-webadmin/trac-webadmin-0.1.2.ebuild,v 1.4 2007/02/13 20:39:33 corsair Exp $

EAPI=5
PYTHON_COMPAT=( python{2_7,3_4,3_5,3_6} )

inherit distutils-r1 git-2

#EGIT_PROJECT='bitcoin'
EGIT_REPO_URI="git://github.com/mitar/trac-navadd.git"

DESCRIPTION="This is a plugin which enables GIT to be used instead of Subversion."
HOMEPAGE="http://trac-hacks.org/wiki/GitPlugin"

LICENSE="trac"
KEYWORDS="~amd64 ~arm ~ppc64 ~x86"
IUSE=""

SLOT="0"

DEPEND="dev-python/setuptools
	app-arch/unzip"
RDEPEND=">=www-apps/trac-0.12
	dev-vcs/git"

pkg_postinst() {
	distutils_pkg_postinst
	elog "To enable the GitPlugin plugin in your Trac environments, you have to add:"
	elog "	[components]"
	elog "	navaddsplugin.* = enabled"
	elog ""
	elog "	[navadd]"
	elog "	add_items = imprint,download"
	elog "	imprint.title = Impressum/Imprint"
	elog "	imprint.url = /wiki/Impressum"
	elog "	#imprint.perm = WIKI_VIEW"
	elog "	imprint.target = metanav"
	elog "	download.title = Download"
	elog "	download.url = http://sourceforge.net/project/showfiles.php?group_id=82936&amp;package_id=85233"
	elog "	#download.perm = WIKI_VIEW"
	elog "	download.target = mainnav"
	elog ""
	elog "	[trac]"
	elog "	..."
	elog "	mainnav = wiki,download,timeline,roadmap,browser,tickets,newticket"
	elog "	..."
	elog ""
	elog "to your trac.ini files."
}
