# Copyright 1999-2017 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/www-apps/trac-webadmin/trac-webadmin-0.1.2.ebuild,v 1.4 2007/02/13 20:39:33 corsair Exp $

EAPI=5
PYTHON_COMPAT=( python{2_7,3_4,3_5,3_6} )

inherit distutils-r1 git-2

#EGIT_PROJECT='bitcoin'
EGIT_REPO_URI="git://github.com/dairiki/staticdocs-plugin.git"

DESCRIPTION="This is a plugin which enables GIT to be used instead of Subversion."
HOMEPAGE="http://trac-hacks.org/wiki/GitPlugin"

LICENSE="trac"
KEYWORDS="~amd64 ~arm ~ppc64 ~x86"
IUSE=""

SLOT="0"

DEPEND="dev-python/setuptools
	app-arch/unzip"
RDEPEND=">=www-apps/trac-0.12
	dev-vcs/git"

pkg_postinst() {
	distutils_pkg_postinst
	elog "To enable the GitPlugin plugin in your Trac environments, you have to add:"
	elog "	[components]"
	elog "	staticdocsplugin.* = enabled"
	elog ""
	elog "	[staticdocs]"
	elog "	"
	elog "	# (Optional) Set the required permission for viewing static docs"
	elog "	# The default is WIKI_VIEW"
	elog "	permission         = WIKI_VIEW"
	elog "	"
	elog "	# Set up some aliases (you need at least one alias for this plugin"
	elog "	# to be worthwhile.)"
	elog "	alias./docs/       = /path/to/docs/"
	elog "	alias./docs/other/ = /path/to/other/docs/"
	elog "	"
	elog "	# (Optional) Override the required permission for a specific alias"
	elog "	permission./docs/other/  = TICKET_VIEW"
	elog ""
	elog "to your trac.ini files."
}
