# Copyright 1999-2017 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/www-apps/trac-webadmin/trac-webadmin-0.1.2.ebuild,v 1.4 2007/02/13 20:39:33 corsair Exp $

EAPI=6
PYTHON_COMPAT=( python{2_7,3_4,3_5,3_6} )

ESVN_OPTIONS=" --trust-server-cert --non-interactive "

inherit distutils-r1 subversion

ESVN_REPO_URI="https://svn.mayastudios.de/mtpp/repos/plugins/subscriberlist/trunk/"
DESCRIPTION="This plugin displays a list of users that will informed about ticket changes"
HOMEPAGE="https://svn.mayastudios.de/mtpp/wiki/Plugins/SubscriberListPlugin"

LICENSE="trac"
KEYWORDS="~amd64 ~arm ~ppc64 ~x86"
IUSE=""

SLOT="0"

DEPEND="dev-python/setuptools"
RDEPEND=">=www-apps/trac-0.12"

pkg_postinst() {
	distutils_pkg_postinst
	elog "To enable the FullBlogPlugin plugin in your Trac environments, you have to add:"
	elog "	[notification]"
	elog "	always_notify_owner = true"
	elog "	always_notify_reporter = true"
	elog ""
	elog "	; Allow updaters to decide whether they'll be notified about ticket changes or"
	elog "	; not. They can control this by adding or removing themselve from the CC list."
	elog "	; NOTE: This may change in the future where every use will be able to decided"
	elog "	;   when it's going be notified. See http://trac.edgewall.org/ticket/2247#comment:5"
	elog "	always_notify_updater = false"
	elog ""
	elog "	; Don't notify about own changes (only with the no_self_notification patch (202))."
	elog "	notify_own_changes = false"
	elog ""
	elog "	; Disabling this option puts all recipients of notifications in BCC (instead of"
	elog "	; TO or CC). This may lead to an empty "TO" header field ("undisclosed-recipients")"
	elog "	; which is, however, not a problem and perfectly normal."
	elog "	use_public_cc = false"
	elog ""
	elog "to your trac.ini files."
}
